#ifndef ObjectFocusTextMap_h
#define ObjectFocusTextMap_h

#include <map>
#include <string>
#include <vector>

namespace blink {

class ObjectFocusTextMap {
public:
  void setFocusedTextList(std::vector<std::string> texts);
  void splitFocusedText(std::string text, std::vector<std::string>& result);
  std::string findObjectTextMap(std::string key);
  static ObjectFocusTextMap* getInstance() {
    static ObjectFocusTextMap object;
    return &object;
  }
private:
  ObjectFocusTextMap();
  ObjectFocusTextMap(const ObjectFocusTextMap& object){}
  std::map<std::string, std::string> m_map;
};

}

#endif